# Uses of Class
org.snpeff.fileIterator.VcfFileIterator

Packages that use VcfFileIterator
Package
Description
org.snpeff.fileIterator
org.snpeff.snpEffect
org.snpeff.snpEffect.commandLine
org.snpeff.vcf

## Uses of VcfFileIterator in org.snpeff.fileIterator

Methods in org.snpeff.fileIterator that return VcfFileIterator
Modifier and Type
Method
Description
`static VcfFileIterator`
VcfFileIterator.`fromString(String vcfLines)`
Create a VcfFileIterator from a string containig VCF lines

## Uses of VcfFileIterator in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect with parameters of type VcfFileIterator
Modifier and Type
Method
Description
`boolean`
VcfAnnotator.`addHeaders(VcfFileIterator vcfFile)`
Add annotation headers to VCF file
`boolean`
VcfAnnotatorChain.`addHeaders(VcfFileIterator vcfFile)`
`boolean`
VcfAnnotator.`annotateFinish(VcfFileIterator vcfFile)`
This method is called after all annotations have been performed.
`boolean`
VcfAnnotatorChain.`annotateFinish(VcfFileIterator vcf)`
`boolean`
VcfAnnotator.`annotateInit(VcfFileIterator vcfFile)`
Initialize annotator: This method is called after vcfFile is opened, but before the header is output.
`boolean`
VcfAnnotatorChain.`annotateInit(VcfFileIterator vcfFile)`

## Uses of VcfFileIterator in org.snpeff.snpEffect.commandLine

Methods in org.snpeff.snpEffect.commandLine with parameters of type VcfFileIterator
Modifier and Type
Method
Description
`boolean`
SnpEffCmdEff.`addHeaders(VcfFileIterator vcfFile)`
`boolean`
SnpEffCmdEff.`annotateFinish(VcfFileIterator vcfFile)`
Finish annotations and create reports
`boolean`
SnpEffCmdEff.`annotateInit(VcfFileIterator vcfFile)`

## Uses of VcfFileIterator in org.snpeff.vcf

Fields in org.snpeff.vcf declared as VcfFileIterator
Modifier and Type
Field
Description
`protected VcfFileIterator`
VcfEntry.`vcfFileIterator`
Methods in org.snpeff.vcf that return VcfFileIterator
Modifier and Type
Method
Description
`VcfFileIterator`
VcfEntry.`getVcfFileIterator()`
Constructors in org.snpeff.vcf with parameters of type VcfFileIterator
Modifier
Constructor
Description
``
`Pedigree(VcfFileIterator vcfFile)`
``
`Pedigree(VcfFileIterator vcfFile, String cancerSamples)`
``
`VcfConsequenceHeader(VcfFileIterator vcf)`
``
`VcfEntry(VcfFileIterator vcfFileIterator, String line, int lineNum, boolean parseNow)`
Create a line form a file iterator
``
`VcfEntry(VcfFileIterator vcfFileIterator, Marker parent, String chromosomeName, int start, String id, String ref, String altsStr, double quality, String filterPass, String infoStr, String format)`